Loading...
Searching...
No Matches
line.hpp File Reference
`#include <ostream>`
`#include <utility>`
`#include <vector>`
Include dependency graph for line.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | gpiod::line::offset
| Wrapper around unsigned int for representing line offsets. More...

## Namespaces

namespace | gpiod
namespace | gpiod::line
| Namespace containing various type definitions for GPIO lines.

## Typedefs

using | gpiod::line::offsets = ::std::vector<offset>
| Vector of line offsets.
using | gpiod::line::values = ::std::vector<value>
| Vector of line values.
using | gpiod::line::value_mapping = ::std::pair<offset, value>
| Represents a mapping of a line offset to line logical state.
using | gpiod::line::value_mappings = ::std::vector<value_mapping>
| Vector of offset->value mappings. Each mapping is defined as a pair of an unsigned and signed integers.

## Enumerations

enum class | gpiod::line::value { gpiod::line::INACTIVE = 0 , gpiod::line::ACTIVE = 1 }
| Logical line states. More...
enum class | gpiod::line::direction { gpiod::line::AS_IS = 1 , gpiod::line::INPUT , gpiod::line::OUTPUT }
| Direction settings. More...
enum class | gpiod::line::edge { gpiod::line::NONE = 1 , gpiod::line::RISING , gpiod::line::FALLING , gpiod::line::BOTH }
| Edge detection settings. More...
enum class | gpiod::line::bias { gpiod::line::AS_IS = 1 , gpiod::line::UNKNOWN , gpiod::line::DISABLED , gpiod::line::PULL_UP , gpiod::line::PULL_DOWN }
| Internal bias settings. More...
enum class | gpiod::line::drive { gpiod::line::PUSH_PULL = 1 , gpiod::line::OPEN_DRAIN , gpiod::line::OPEN_SOURCE }
| Drive settings. More...
enum class | gpiod::line::clock { gpiod::line::MONOTONIC = 1 , gpiod::line::REALTIME , gpiod::line::HTE }
| Event clock settings. More...

## Functions

::std::ostream & | gpiod::line::operator<< (::std::ostream &out, value val)
| Stream insertion operator for logical line values.
::std::ostream & | gpiod::line::operator<< (::std::ostream &out, direction dir)
| Stream insertion operator for direction values.
::std::ostream & | gpiod::line::operator<< (::std::ostream &out, edge edge)
| Stream insertion operator for edge detection values.
::std::ostream & | gpiod::line::operator<< (::std::ostream &out, bias bias)
| Stream insertion operator for bias values.
::std::ostream & | gpiod::line::operator<< (::std::ostream &out, drive drive)
| Stream insertion operator for drive values.
::std::ostream & | gpiod::line::operator<< (::std::ostream &out, clock clock)
| Stream insertion operator for event clock values.
::std::ostream & | gpiod::line::operator<< (::std::ostream &out, const values &vals)
| Stream insertion operator for the list of output values.
::std::ostream & | gpiod::line::operator<< (::std::ostream &out, const offsets &offs)
| Stream insertion operator for the list of line offsets.
::std::ostream & | gpiod::line::operator<< (::std::ostream &out, const value_mapping &mapping)
| Stream insertion operator for the offset-to-value mapping.
::std::ostream & | gpiod::line::operator<< (::std::ostream &out, const value_mappings &mappings)
| Stream insertion operator for the list of offset-to-value mappings.